Name:           phonon-backend-vlc
Version:        0.12.0
Release:        1%{?dist}
Summary:        VLC backend for Phonon
License:        LGPLv2

URL:            https://projects.kde.org/projects/kdesupport/phonon/phonon-vlc
Source0:        http://download.kde.org/stable/phonon/%{name}/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  cmake
BuildRequires:  vlc-devel
BuildRequires:  cmake(Phonon4Qt6)
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  cmake(qt6core5compat)


%description
This package allows Phonon (the KDE media library) to use VLC
for audio and video playback.


%prep
%autosetup -p1

%build
%cmake_kf6 -DPHONON_BUILD_QT6:BOOL=ON

%cmake_build

%install
%cmake_install

%find_lang phonon_vlc_qt --all-name --with-qt

%files -f phonon_vlc_qt.lang
%doc COPYING.LIB AUTHORS
%_qt6_plugindir/phonon4qt5_backend/phonon_vlc_qt5.so
%_qt6_plugindir/phonon4qt6_backend/phonon_vlc_qt6.so
